Subject: Bug#1596: [X2Go-Dev] Bug#1596: Windows 11 file sharing not working

From: Anonymous <[email-masked]>
Date: Thu, 26 Jan 2023 10:37:39 +0100

Hi,

there is no separate cygwin or Subsystem for Linux here.

In user's homedir in file ".x2go\etc\sshdconfig" if you change the line:

Subsystem sftp C:/Progra~2/X2GOCL~1/sftp-server

to

Subsystem sftp internal-sftp

it works for one session. However, you can't change this permanently in 
X2Go client.

On 25.01.2023 12:06, Ulrich Sibiller wrote:
> Hm,
>
> I am wondering why this makes a difference. The sshd comes with
> x2goclient and should be the same. Therefore it should know the same
> options as on Windows 10.
>
> I can see the same message on Windows 10 when calling sshd directly,
> but I do not see any reference to "cygdrive":
>
> "C:\Program Files (x86)\x2goclient\sshd.exe" -f
> c:\Users\USER\.x2go\etc\sshd_config
> c:\\Users\\USER\\.x2go\\etc\\sshd_config line 3: Deprecated option
> UsePrivilegeSeparation
> Could not load host key: /usr/local/etc/ssh_host_rsa_key
> Could not load host key: /usr/local/etc/ssh_host_ecdsa_key
> Could not load host key: /usr/local/etc/ssh_host_ed25519_key
> sshd: no hostkeys available -- exiting.
>
> Can you verify this on Win 11?
>
> So are you sure you are using the right environment? Is there a
> separate cygwin installation on the system? Are you using Windows
> Subsystem for Linux?
>
> Uli
>
> On Wed, Jan 25, 2023 at 10:47 AM Anonymous
> <[email-masked]> wrote:
>> Package: x2goclient
>> Version: 4.1.2.2 (Qt - 4.8.6)
>>
>> On Windows 11, when trying to mount a shared folder to remote Linux
>> desktop, a cmd.exe window appears with error:
>>
>> /cygdrive/C/Users/dkopa/.x2go/etc/sshd_config line 3: Deprecated option
>> UsePrivilegeSeparation
>>
>> and sharing doesn't work at all. On Windows 10 the problem was not present.
>>
>> This is a severe bug IMO as Windows 11 users can't share files.
>>
>> _______________________________________________
>> x2go-dev mailing list
>> [email-masked]
>> https://lists.x2go.org/listinfo/x2go-dev